<?php
// www.bcoos.net 2006-09 1.0.2 GPL
//v1.2 www.exoops.info 2006/03 
// $Id: visit.php,v 1.1 2003/08/31 12:16:29 half-dead Exp $
// ------------------------------------------------------------------------- //
//               E-Xoops: Content Management for the Masses                  //
//                       < http://www.e-xoops.com >                          //
// ------------------------------------------------------------------------- //
// Original Author: James Knickelbein
// Author Website : http://www.journeymilwaukee.com
// License Type   : GPL: See /manual/LICENSES/GPL.txt
// ------------------------------------------------------------------------- //
include_once("../../mainfile.php");
$lid = intval($_GET['lid']);
$db->query("UPDATE ".$db->prefix("mylinks_links")." SET hits=hits+1 WHERE lid=$lid AND status>0");
$result = $db->query("SELECT url FROM ".$db->prefix("mylinks_links")." WHERE lid=$lid AND status>0");
list($url) = $db->fetchRow($result);
header("Location: $url");
echo "<html><head><meta http-equiv='Refresh' content='0; URL=$url'></meta></head><body></body></html>";
exit();
?>
